Scribusoid

Author Topic: Can not make a "Render Frame"  (Read 255 times)

yichuang驿窗

  • Jr. Member
  • **
  • Posts: 52
  • Karma: 0
  • Scribus User
Can not make a "Render Frame"
« on: January 01, 2020, 04:01:23 pm »
Hi,

When I click the button of "Render Frame" or press "D", the screen tips me "Render Frames Not Configured".
But, how to config render frame in Preferences?

My Scribus version:
1.5.5  2019-07-31 - SVN :23095
Build ID: C--T-F-C1.15.10-64bit
Ghostscript: 9.26
Debian Stretch 9.11 / gnome

The screenshots are the errTips and ExternalTools.


 

dragonfly

  • Full Member
  • ***
  • Posts: 133
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #1 on: January 01, 2020, 05:59:02 pm »
I don't know but do you see the example LaTeX rendering in your new render frame?


yichuang驿窗

  • Jr. Member
  • **
  • Posts: 52
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #2 on: January 02, 2020, 04:38:15 am »
There is no new render frame created, and nothing about LaTeX. The screen only showed errTips. After close the errTips, nothing happened.

After clicking the “Render Frame” icon, the first action Scribus made is to prompt the errTips.
So, no render frame was created and no operations about the render frame could be performed.

I think that I have to config the "External Tools" in the perference, and/or have to install some additional softwares to make "Render Frame" active.

BTW,
my scribus version is an appimage package downloaded from scribus.net.
« Last Edit: January 02, 2020, 04:44:11 am by yichuang驿窗 »

yichuang驿窗

  • Jr. Member
  • **
  • Posts: 52
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #3 on: January 02, 2020, 06:47:28 am »
After installed the software like this:
Code: [Select]
apt install lilypond gnuplot graphviz povrayI can drop a render frame.

But, there is another errTips, and I clicked "Open Editor to Fix it" , then I captured the screen.

What shall I do now?

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2279
  • Karma: 29
    • the graphics lab
Re: Can not make a "Render Frame"
« Reply #4 on: January 02, 2020, 11:59:39 am »
hi yichuang

what's your final goal?

from what i can tell, pdflatex is not installed in your computer...

dragonfly

  • Full Member
  • ***
  • Posts: 133
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #5 on: January 02, 2020, 12:17:17 pm »
From what I can gather you are in Linux.

I ran this command to look for latex ..

Code: [Select]
sudo locate /usr/bin/latex
Output:-
Code: [Select]
/usr/bin/latex
/usr/bin/latex-git-log
/usr/bin/latex-papersize
/usr/bin/latex-wordcount
/usr/bin/latex2man
/usr/bin/latex2nemeth
/usr/bin/latexdef
/usr/bin/latexdraw
/usr/bin/latexfileversion
/usr/bin/latexindent
/usr/bin/latexpand

Use Synaptic Package Manager to install LaTeX packages.

yichuang驿窗

  • Jr. Member
  • **
  • Posts: 52
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #6 on: January 03, 2020, 05:55:34 am »
Yes, Scribus nees this version of latex: texlive (package name).

I installed the texlive-base package before refer to this debian wiki: https://wiki.debian.org/Latex, but the Render Frame can not work.

According to your prompts, I installed another package right now: texlive. Now, when I click the "Render Frame" button, it works fine, no errTips displayed.

Thank you~
@a.l.e
@dragonfly

ps:
My final goal is to write a scribus user guide, so, I hope I can test as many scribus functions as possible, including Render Frame.  I'm learning and studying.

ps-2:
My system: Debian Stretch 9.11 / gnome
Scribus version: (appimage)
1.5.5  2019-07-31 - SVN :23095
Build ID: C--T-F-C1.15.10-64bit
Ghostscript: 9.26

ps-3:
So, in Debian Stretch 9.11/gnome, if we want the "Render Frame" work fine, we should run:
Code: [Select]
sudo apt install texlive lilypond gnuplot graphviz povray
NOT texlive-base package.
« Last Edit: January 03, 2020, 06:46:35 am by yichuang驿窗 »

a.l.e

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2279
  • Karma: 29
    • the graphics lab
Re: Can not make a "Render Frame"
« Reply #7 on: January 03, 2020, 10:28:14 am »
>  So, in Debian Stretch 9.11/gnome, if we want the "Render Frame" work fine, we should run:
>
> sudo apt install texlive lilypond gnuplot graphviz povray
>
> NOT texlive-base package.

this is probably wrong.

in order to be able to create a render frame you probably need one of the packages listed above to be installed, not all of them.

sadly, we don't have a very good message shown when none is correctly configured... but if i would change a thing, i would probably redo the button in a similar way to the way the shape button currently works...

yichuang驿窗

  • Jr. Member
  • **
  • Posts: 52
  • Karma: 0
  • Scribus User
Re: Can not make a "Render Frame"
« Reply #8 on: January 04, 2020, 10:02:07 am »

this is probably wrong.

in order to be able to create a render frame you probably need one of the packages listed above to be installed, not all of them.


Wow!
I always thought that I needed to install all the packages, not just latex. It seems I need to study it more carefully.